> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Observation History



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json get /v1/competitor_prices/{entity_id}/history
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/competitor_prices/{entity_id}/history:
    get:
      tags:
        - competitor_prices
      summary: Observation History
      operationId: observation_history_v1_competitor_prices__entity_id__history_get
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
            title: Entity Id
        - name: listing_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 128
                minLength: 1
              - type: 'null'
            title: Listing Id
        - name: competitor_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 128
                minLength: 1
              - type: 'null'
            title: Competitor Id
        - name: competitor_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 256
              - type: 'null'
            title: Competitor Name
        - name: item_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 128
                minLength: 1
              - type: 'null'
            title: Item Id
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 256
              - type: 'null'
            title: Search
        - name: since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Since
        - name: until
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Until
        - name: updated_since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Updated Since
        - name: include_deleted
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Deleted
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 4096
              - type: 'null'
            title: Cursor
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            title: Limit
            default: 100
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObservationHistory'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ObservationHistory:
      properties:
        external_org_id:
          type: string
          format: uuid
          title: External Org Id
        record_id:
          type: string
          maxLength: 128
          minLength: 1
          title: Record Id
        events:
          items:
            $ref: '#/components/schemas/ObservationEvent'
          type: array
          maxItems: 500
          title: Events
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        has_more:
          type: boolean
          title: Has More
      additionalProperties: false
      type: object
      required:
        - external_org_id
        - record_id
        - events
        - next_cursor
        - has_more
      title: ObservationHistory
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ObservationEvent:
      properties:
        revision:
          type: integer
          title: Revision
        observation_id:
          type: string
          maxLength: 128
          minLength: 1
          title: Observation Id
        action:
          type: string
          enum:
            - create
            - correct
            - delete
          title: Action
        actor:
          type: string
          title: Actor
        reason:
          type: string
          title: Reason
        changed_at:
          type: string
          format: date-time
          title: Changed At
        request_id:
          type: string
          title: Request Id
      additionalProperties: false
      type: object
      required:
        - revision
        - observation_id
        - action
        - actor
        - reason
        - changed_at
        - request_id
      title: ObservationEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.